Небезопасные права доступа к фильтру принтера

Проблемы с печатью и сканированием обсуждаем здесь.
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 18 янв 2018, 18:47

Небезопасные права доступа к фильтру принтера, как это можно вылечить?
Я уже и так и сяк перебирал, комбинировал права в разной последовательности и для разных пользователей и групп - ничего не получается.
18_01_18_5.png
Какие права для этого фильтра могут быть небезопасными?
Могу добиться двух состояний Filter failed и вот то, что на скриншоте - "небезопасные права".

P.S. С компьютера супруги из под Win7 принтер нормально работает.

Решение StarMAUGLI » 24 янв 2018, 17:12
Если долго мучиться, что-нибудь получится.
Unborn, В КДЕ окно несколько отличается, но по смыслу понятно.
Не понятно было где фильтр прятался. Оказалось, в отличие от Панасоника, у которого инсталлятор создавал отдельную папку в /usr/locale/share
фильтр HP прописывался по адресу /usr/lib/cups/filter
241018_1.png
При создании прав на папку filter из скриншота, HP 2300dn не смотря на ошибки показываемые hp-doctor

Код: Выделить всё

error: This distro (i.e linuxmint  18.3) is either deprecated or not yet supported.
The diagnosis is limited on unsupported platforms. Do you want to continue?(y=yes*, n=no)

Checking for Dependencies....
warning: linuxmint-18.3 version is not supported. Using linuxmint-17.3 versions dependencies to verify and install...

warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro  18.3 version 


\error: HPLIP cannot detect devices in your network. This may be due to existing firewall settings blocking the required ports like (5353/udp). When you are in a trusted network environment, you may open the ports for network services like mdns and slp in the firewall. For detailed steps follow the link.

 http://hplipopensource.com/node/375
запустился и печатает.

Перейти к ответу ➙
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 19 янв 2018, 08:16

Принтер сетевой.

Аватара пользователя

Unborn
Сообщения: 1767
Зарегистрирован: 03 сен 2016, 10:36
Решено: 24
Благодарил (а): 4 раза
Поблагодарили: 251 раз

Небезопасные права доступа к фильтру принтера

Сообщение Unborn » 19 янв 2018, 12:16

StarMAUGLI писал(а):
18 янв 2018, 18:47
Какие права для этого фильтра могут быть небезопасными?
Установи такие права, как и у рядом лежащих файлов.

Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 19 янв 2018, 18:43

Unborn писал(а):
19 янв 2018, 12:16
Установи такие права, как и у рядом лежащих файлов.
Похоже, что это уже не возможно. Я в своих попытках подобрать права, один раз назначал их рекурсивно для всего каталога, т.к. думал, что может быть такой вариант что небезопасные права не у файла, а у содержащего его каталога.
Старые права не посмотрел или посмотрел, но не запомнил... в бумажках на которые я записывал, теперь черт ногу сломит... теперь это уже не важно.

Аватара пользователя

Unborn
Сообщения: 1767
Зарегистрирован: 03 сен 2016, 10:36
Решено: 24
Благодарил (а): 4 раза
Поблагодарили: 251 раз

Небезопасные права доступа к фильтру принтера

Сообщение Unborn » 19 янв 2018, 19:03

StarMAUGLI писал(а):
19 янв 2018, 18:43
Старые права не посмотрел или посмотрел, но не запомнил...
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 21 янв 2018, 17:46

Притаранил с работы древний, но не очень изношеный (всего-то 40.000 копий), тоже сетевой HP LJ 2300 dn (на работе попробовал из-под винды печатает почти нормально, чуть мажет по краю - мне пойдет)
Удалил все опыты с панасоником...
На LJ 2300 в LM 18.3 KDE штук восемь разных драйверов на выбор. Перебровал все. Filter failed - на всех! (печать пробной страницы) ...чего-то здесь не в принтере дело... И где фильтр для хьюлетта в отличие от панасоника - не понятно.

Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 22 янв 2018, 16:07

Бьюсь теперь с HP LJ 2300 dn.
Удалось продвинуться дальше, чем с Панасоником. Он даже выплевывает мне иногда листки с печатным мусором. Помогите разобраться, с листингом, что я могу исправить?

Код: Выделить всё

~ $ hp-check 
Saving output in log file: /home/mugalem/hp-check.log

HP Linux Imaging and Printing System (ver. 3.16.3)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball     
(.tar.gz or .run) to determine if the proper dependencies are installed to successfully compile HPLIP.      
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm,  
etc) or an already built HPLIP supplied tarball has the proper dependencies installed to successfully run.  
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above   
cases (both compile- and run-time dependencies).                                                            

Check types:                                                                                                
a. EXTERNALDEP - External Dependencies                                                                      
b. GENERALDEP - General Dependencies (required both at compile and run time)                                
c. COMPILEDEP - Compile time Dependencies                                                                   
d. [All are run-time checks]                                                                                
PYEXT SCANCONF QUEUES PERMISSION                                                                            

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

warning: linuxmint-18.3 version is not supported. Using linuxmint-17.3 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 4.13.0-26-generic #29~16.04.2-Ubuntu SMP Tue Jan 9 22:00:44 UTC 2018 GNU/Linux
 Host: mugalem-P35
 Proc: 4.13.0-26-generic #29~16.04.2-Ubuntu SMP Tue Jan 9 22:00:44 UTC 2018 GNU/Linux
 Distribution: linuxmint 18.3
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.16.3
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro  18.3 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.16.3

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip
html=/usr/share/doc/hplip-doc
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.16.3
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[last_used]
device_uri = hp:/net/hp_LaserJet_2300_series?ip=192.168.0.13
printer_name = LJ2300dn

[installation]
date_time = 01/22/18 19:14:33
version = 3.16.3


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------------------
|  External Dependencies |
--------------------------

 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.1.3           OK         'CUPS Scheduler is running'
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.25          OK         -
 network              network -wget                                                OPTIONAL        -               1.17.1          OK         -
 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.18            OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.10.6          OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.32          OK         -

-------------------------
|  General Dependencies |
-------------------------

 python3X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             3.5.2           OK         -
 python3-pyqt4-dbus   PyQt 4 DBus - DBus Support for PyQt4                         OPTIONAL        4.0             4.11.4          OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               b'2.23'         OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               1.0.25          OK         -
 python3-devel        Python devel - Python development files                      REQUIRED        2.2             3.5.2           OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 python3-dbus         Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.0           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 python3-reportlab    Reportlab - PDF library for Python                           OPTIONAL        2.0             3.3.0           OK         -
 python3-notify2      Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.1.3           OK         -
 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
 python3-pil          PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 python3-xml          Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.25          OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.1.3           OK         -
 python3-pyqt4        PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.11.4          OK         -

---------------
|  COMPILEDEP |
---------------

 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 error: libtool       libtool - Library building support services                  REQUIRED        -               -               MISSING    'libtool needs to be installed'
 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               5.4.0           OK         -

----------------------
|  Python Extentions |
----------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.16.3          OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.16.3          OK         -

-----------------------
|  Scan Configuration |
-----------------------

'/etc/sane.d/dll.d/hpaio' not found.
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.16.3          OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.16.3          OK         -

-----------------------
|  Other Dependencies |
-----------------------


------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
LJ2300dn
--------
Type: Printer
Device URI: hp:/net/hp_LaserJet_2300_series?ip=192.168.0.13
PPD: /etc/cups/ppd/LJ2300dn.ppd
warning: Failed to read /etc/cups/ppd/LJ2300dn.ppd ppd file
PPD Description: 
Printer Filter failedер LJ2300dn свободен. Включен с момента Пн 22 янв 2018 18:56:26
Communication status: Good


--------------
| PERMISSION |
--------------

 
-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'libtool' package is missing/incompatible 

Missing Optional Dependencies
-----------------------------
None


Total Errors: 1
Total Warnings: 0


Done.


Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 24 янв 2018, 17:12

Если долго мучиться, что-нибудь получится.
Unborn, В КДЕ окно несколько отличается, но по смыслу понятно.
Не понятно было где фильтр прятался. Оказалось, в отличие от Панасоника, у которого инсталлятор создавал отдельную папку в /usr/locale/share
фильтр HP прописывался по адресу /usr/lib/cups/filter
241018_1.png
При создании прав на папку filter из скриншота, HP 2300dn не смотря на ошибки показываемые hp-doctor

Код: Выделить всё

error: This distro (i.e linuxmint  18.3) is either deprecated or not yet supported.
The diagnosis is limited on unsupported platforms. Do you want to continue?(y=yes*, n=no)

Checking for Dependencies....
warning: linuxmint-18.3 version is not supported. Using linuxmint-17.3 versions dependencies to verify and install...

warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro  18.3 version 


\error: HPLIP cannot detect devices in your network. This may be due to existing firewall settings blocking the required ports like (5353/udp). When you are in a trusted network environment, you may open the ports for network services like mdns and slp in the firewall. For detailed steps follow the link.

 http://hplipopensource.com/node/375
запустился и печатает.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

di_mok
Сообщения: 4828
Зарегистрирован: 27 авг 2016, 16:06
Решено: 30
Откуда: Арзамас
Благодарил (а): 1209 раз
Поблагодарили: 988 раз

Небезопасные права доступа к фильтру принтера

Сообщение di_mok » 24 янв 2018, 20:42

StarMAUGLI, я вынес последний пост в отдельную тему Подключение принтеров Hewlett Packard
Настоящая водка — это не пьянство, а ключ к своей совести, с нее-то и начинается настоящая мудрость. (c)
Изображение
Изображение

Аватара пользователя

Автор темы
StarMAUGLI
Сообщения: 1533
Зарегистрирован: 10 сен 2016, 07:16
Решено: 15
Откуда: Москва
Благодарил (а): 628 раз
Поблагодарили: 177 раз

Небезопасные права доступа к фильтру принтера

Сообщение StarMAUGLI » 25 янв 2018, 08:00

di_mok писал(а):
24 янв 2018, 20:42
я вынес последний пост в отдельную тему
ОК

Вернуться в «Принтеры, Сканеры, МФУ»